using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "JobTemplate", menuName = "RiftMayhem/Settings/Jobs/Job Template", order = 0)]
public class JobTemplate : ScriptableObject
{
    [Header("Title:")]
    public string title = "Skelly'nvasion Cleanup Crew";
    [Header("Description:")]
    [TextArea(10, 20)]
    public string description = @"Location: The Skellyard (Graveyard)

Mission Brief:

Attention, Rift Hunters!The Skellyard, once a serene resting place, has been overrun by a menacing horde of skeletons - the dreaded Skelly'nvasion! As a member of the Cleanup Crew, your mission is to venture into the heart of the Skellyard and purge it of these skeletal invaders.";

    [Header("Settings:")]
    public bool showJobTitlePrefix = true;

    [Space (20f)]

    [Header("In-game name:")]
    public string zoneName;
    [Header("Respective Level to Load Name:")]
    public string levelName;
    [Header("IsHostileZone:")]
    public bool isHostileZone = true;

    [Space(20f)]

    [Header("Base Rewards:")]
    public int baseCoinReward;
    public float baseExperienceFinalReward;
    public float baseReputationFinalReward;

    [Header("Difficulty Based Modifiers:")]
    public float percentCoinReward;
    public float percentExperienceFinalReward;
    public float percentReputationFinalReward;
}
